# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/brcm,bcm2835-hvs.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Broadcom VC4 (VideoCore4) Hardware Video Scaler

maintainers:
  - Eric Anholt <eric@anholt.net>

properties:
  compatible:
    enum:
      - brcm,bcm2711-hvs
      - brcm,bcm2835-hvs

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1
    description: Core Clock

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

if:
  properties:
    compatible:
      contains:
        const: brcm,bcm2711-hvs"

then:
  required:
    - clocks

examples:
  - |
    hvs@7e400000 {
        compatible = "brcm,bcm2835-hvs";
        reg = <0x7e400000 0x6000>;
        interrupts = <2 1>;
    };

...
